업로드 확인
curl --request POST \
--url https://api.studio.thezet.io/v1/uploads/{id}/complete \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.studio.thezet.io/v1/uploads/{id}/complete"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.studio.thezet.io/v1/uploads/{id}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.studio.thezet.io/v1/uploads/{id}/complete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.studio.thezet.io/v1/uploads/{id}/complete"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.studio.thezet.io/v1/uploads/{id}/complete")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.studio.thezet.io/v1/uploads/{id}/complete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "ready"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}입력 파일
업로드 확인
파일이 잘 도착했는지 확인해요. 이후 이 ID를 작업의 입력으로 쓸 수 있어요. 파일이 아직 없으면 409예요.
POST
/
uploads
/
{id}
/
complete
업로드 확인
curl --request POST \
--url https://api.studio.thezet.io/v1/uploads/{id}/complete \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.studio.thezet.io/v1/uploads/{id}/complete"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.studio.thezet.io/v1/uploads/{id}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.studio.thezet.io/v1/uploads/{id}/complete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.studio.thezet.io/v1/uploads/{id}/complete"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.studio.thezet.io/v1/uploads/{id}/complete")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.studio.thezet.io/v1/uploads/{id}/complete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "ready"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}인증
bearerAuthapiKeyAuth
Authorization: Bearer <API 키>
헤더
ko면 메시지를 한국어로 줘요. 기본은 영어예요.
경로 매개변수
업로드 ID예요.